<div ng-controller="ArchivoOperadorController">
  <div class="page page-tables-bootstrap">
    <div class="pageheader">
      <div class="page-bar">
        <ul class="page-breadcrumb">
          <li>
            <a ui-sref="admin.dashboard"><i class="fa fa-home"></i> Home</a>
          </li>
          <li>
            <a ui-sref="admin.container.lista_operador">Contenedor</a>
          </li>
          <li>
            <a>Gestión Archivos</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="pagecontent">
      <div class="row">
        <div class="col-md-12">
          <div class="panel">
            <div class="panel-body">
              <div class="row">
              <div class="col-md-4">
                <div>
                  SEMANA : <strong>{{semana.nombre | uppercase}}</strong>
                </div>                
              </div>
              <div class="col-md-4">
                <!-- <div>
                  <button type="button" class="btn btn-orange btn-rounded-10 btn-block btn-border"><i class="fa fa-files-o"></i> gestión de archivos</button>
                </div> -->
              </div>
              <div class="col-md-4">
                <div>
                  <div class="pull-right">
                    <a class="btn btn-xs btn-primary btn-rounded-10" ui-sref="admin.container.lista_operador"><i class="fa fa-arrow-left"></i>  Regresar</a>
                  </div>
                </div>
              </div>
            </div>
            </div>
          </div> 
        </div>
        <div class="col-md-12">
          <section class="tile" fullscreen="isFullscreen08">
            <div class="tile-header dvd dvd-btm">
              <h1 class="custom-font"><i class="fa fa-files-o"></i> GESTIÓN DE ARCHIVOS</h1>
            </div>
            <div class="tile-body p-1">
              <div class="row">
                <div class="col-md-12" ng-if="isUpload">
                  <div class="row">
                    <!-- 1 Facturas -->
                    <div class="col-md-12">
                      <div class="row">
                        <div class="col-md-8">
                          <h3 style="margin-top: 5px;"><i class="icon-layers"></i> Facturas</h3>
                        </div>
                        <div class="col-md-4">
                          
                        </div>
                        <div class="col-md-12">
                          <hr style="margin-top: 0px;margin-bottom: 5px;">
                        </div>
                      </div>
                      <div class="row mt-20 mb-20" ng-if="isLoading">
                        <div class="col-md-12">
                          <loading></loading>
                        </div>
                      </div>
                      <div class="row mt-20 mb-20" ng-if="!isLoading">
                        <div class="col-md-12" ng-if="facturas.length == 0">
                          <p class="text-center">
                            <i class="fa fa-inbox fa-4x"></i>
                            <h4 class="text-center">aún no se han registrado facturas para esta semana...</h4> 
                          </p>
                        </div>
                        <div class="col-md-12" ng-if="facturas.length > 0">
                          <small>
                            <div class="table-responsive">
                              <table class="table table-hover table-bordered">
                                <thead>
                                    <tr>
                                        <th class="text-center"><small>#</small></th>
                                        <th><small>NOMBRE ARCHIVO</small></th>
                                        <th><small>CLIENTE</small></th>
                                        <th class="text-center"><small>FECHA SUBIDA</small></th>
                                        <th class="text-center"><small>HORA SUBIDA</small></th>
                                        <th class="text-center"><small>OPCIONES</small></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr dir-paginate="factura in facturas |filter: buscar | itemsPerPage: 5" pagination-id="factura.id">
                                        <td class="text-center"><small>{{$index + 1 }}</small></td>
                                        <td><small>{{factura.nombre}}</small></td>
                                        <td><small>{{factura.cliente | uppercase}}</small></td>
                                        <td class="text-center"><small>{{factura.fecha}}</small></td>
                                        <td class="text-center"><small>{{factura.hora}}</small></td>
                                        <td class="text-center">
                                            <div class="input-group-btn">
                                              <button class="btn btn-default btn-border btn-radius-left" title="DESCARGAR FACTURA {{factura.nombre}}" ng-click="load(factura,1);download()"><strong class="text-info"><i class="icon-cloud-download"></i></strong></button>
                                              <button class="btn btn-default btn-border btn-radius-right" title="VER  FACTURA {{factura.nombre}}" data-options="splash-2 splash-ef-14" ng-click="load(factura,1);preview($event);"><i class="icon-eye text-blue"></i></button>
                                        </td>
                                    </tr>
                                </tbody>
                              </table>
                            </div>
                            <div class="text-center">
                              <small><dir-pagination-controls pagination-id="factura.id"></dir-pagination-controls></small>
                            </div>
                          </small>
                        </div>
                      </div>
                    </div>
                    <!-- 2 Pakings -->
                    <div class="col-md-12">
                      <div class="row">
                        <div class="col-md-8">
                          <h3 style="margin-top: 5px;"><i class="icon-list"></i> Pakings</h3>
                        </div>
                        <div class="col-md-4">
                          
                        </div>
                        <div class="col-md-12">
                          <hr style="margin-top: 0px;margin-bottom: 5px;">
                        </div>
                      </div>
                      <div class="row mt-20 mb-20" ng-if="isLoading">
                        <div class="col-md-12">
                          <loading></loading>
                        </div>
                      </div>
                      <div class="row mt-20 mb-20" ng-if="!isLoading">
                        <div class="col-md-12" ng-if="packings.length == 0">
                          <p class="text-center">
                            <i class="fa fa-inbox fa-4x"></i>
                            <h4 class="text-center">aún no se han registrado packings para esta semana...</h4> 
                          </p>
                        </div>
                        <div class="col-md-12" ng-if="packings.length > 0">
                          <small>
                            <div class="table-responsive">
                              <table class="table table-hover table-bordered">
                                <thead>
                                    <tr>
                                        <th class="text-center"><small>#</small></th>
                                        <th><small>NOMBRE ARCHIVO</small></th>
                                        <th><small>CLIENTE</small></th>
                                        <th class="text-center"><small>FECHA SUBIDA</small></th>
                                        <th class="text-center"><small>HORA SUBIDA</small></th>
                                        <th class="text-center"><small>OPCIONES</small></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr dir-paginate="packing in packings |filter: buscar | itemsPerPage: 5" pagination-id="packing.id">
                                        <td class="text-center"><small>{{$index + 1 }}</small></td>
                                        <td><small>{{packing.nombre}}</small></td>
                                        <td><small>{{packing.cliente | uppercase}}</small></td>
                                        <td class="text-center"><small>{{packing.fecha}}</small></td>
                                        <td class="text-center"><small>{{packing.hora}}</small></td>
                                        <td class="text-center">
                                            <div class="input-group-btn">
                                              <button class="btn btn-default btn-border btn-radius-left" title="DESCARGAR PACKING {{packing.nombre}}" ng-click="load(packing,2);download()"><strong class="text-info"><i class="icon-cloud-download"></i></strong></button>
                                              <button class="btn btn-default btn-border btn-radius-right" title="VER  PACKING {{packing.nombre}}" data-options="splash-2 splash-ef-14" ng-click="load(packing,2);preview($event);"><i class="icon-eye text-blue"></i></button>
                                            </div>
                                        </td>
                                    </tr>
                                </tbody>
                              </table>
                            </div>
                            <div class="text-center">
                              <small><dir-pagination-controls pagination-id="packing.id"></dir-pagination-controls></small>
                            </div>
                          </small>
                        </div>
                      </div>
                    </div>
                    <!-- 3 Certificados -->
                    <div class="col-md-12">
                      <div class="row">
                        <div class="col-md-8">
                          <h3 style="margin-top: 5px;"><i class="icon-notebook"></i> Certificados</h3>
                        </div>
                        <div class="col-md-4">
                          
                        </div>
                        <div class="col-md-12">
                          <hr style="margin-top: 0px;margin-bottom: 5px;">
                        </div>
                      </div>
                      <div class="row mt-20 mb-20" ng-if="isLoading">
                        <div class="col-md-12">
                          <loading></loading>
                        </div>
                      </div>
                      <div class="row mt-20 mb-20" ng-if="!isLoading">
                        <div class="col-md-12" ng-if="certificados.length == 0">
                          <p class="text-center">
                            <i class="fa fa-inbox fa-4x"></i>
                            <h4 class="text-center">aún no se han registrado certificados para esta semana...</h4> 
                          </p>
                        </div>
                        <div class="col-md-12" ng-if="certificados.length > 0">
                          <small>
                            <div class="table-responsive">
                              <table class="table table-bordered">
                                  <thead>
                                      <tr>
                                          <th><small>#</small></th>
                                          <th><small>NOMBRE ARCHIVO</small></th>
                                          <th><small>CLIENTE</small></th>
                                          <th><small>FECHA SUBIDA</small></th>
                                          <th><small>HORA SUBIDA</small></th>
                                          <th class="text-center" colspan="2"><small>CONTENEDORES</small></th>
                                          <th class="text-center"><small>OPCIONES</small></th>
                                      </tr>
                                  </thead>
                                  <tbody dir-paginate="certificado in certificados |filter: buscar | itemsPerPage: 4" pagination-id="certificado.id">
                                      <tr>
                                          <td rowspan="{{certificado.contenedores.length+1}}"><small>{{$index + 1 }}</small></td>
                                          <td rowspan="{{certificado.contenedores.length+1}}"><small>{{certificado.nombre}}</small></td>
                                          <td rowspan="{{certificado.contenedores.length+1}}"><small>{{certificado.cliente | uppercase}}</small></td>
                                          <td class="text-center" rowspan="{{certificado.contenedores.length+1}}"><small>{{certificado.fecha}}</small></td>
                                          <td class="text-center" rowspan="{{certificado.contenedores.length+1}}"><small>{{certificado.hora}}</small></td>
                                          <td style="background:#F2F2F2"><small>NUMERO</small></td>
                                          <td style="background:#F2F2F2"><small>REFERENCIA</small></td>
                                          <td class="text-center" rowspan="{{certificado.contenedores.length+1}}">
                                            <div class="input-group-btn">
                                              <button class="btn btn-default btn-border btn-radius-left" title="DESCARGAR CERTIFICADO {{certificado.nombre}}" ng-click="load(certificado,3);download()"><strong class="text-info"><i class="icon-cloud-download"></i></strong></button>
                                              <button class="btn btn-default btn-border btn-radius-right" title="VER  CERTIFICADO {{certificado.nombre}}" data-options="splash-2 splash-ef-14" ng-click="load(certificado,3);preview($event);"><i class="icon-eye text-certificadoue"></i></button>
                                            </div>
                                          </td>
                                      </tr>
                                      <tr ng-repeat="contenedor in certificado.contenedores">
                                        <td class="text-center">{{contenedor.numero | uppercase}}</td>
                                        <td class="text-center">{{contenedor.referencia}}</td>
                                      </tr>
                                  </tbody>
                              </table>
                            </div>
                            <div class="pull-right">
                              <dir-pagination-controls pagination-id="certificado.id"></dir-pagination-controls>
                            </div>
                          </small>
                        </div>
                      </div>
                    </div>
                    <!-- 5 Valijas -->
                    <div class="col-md-12">
                      <div class="row">
                        <div class="col-md-8">
                          <h3 style="margin-top: 5px;"><i class="icon-bag"></i> Valijas</h3>
                        </div>
                        <div class="col-md-4">
                          <button class="btn btn-danger btn-rounded-10 btn-border btn-block" ng-if="permisosHas('valijas.registrar')" ng-click="new(5)"><i class="fa fa-file-pdf-o"></i> agregar archivos</button>
                        </div>
                        <div class="col-md-12">
                          <hr style="margin-top: 0px;margin-bottom: 5px;">
                        </div>
                      </div>
                      <div class="row mt-20 mb-20" ng-if="isLoading">
                        <div class="col-md-12">
                          <loading></loading>
                        </div>
                      </div>
                      <div class="row mt-20 mb-20" ng-if="!isLoading">
                        <div class="col-md-12" ng-if="valijas.length == 0">
                          <p class="text-center">
                            <i class="fa fa-inbox fa-4x"></i>
                            <h4 class="text-center">aún no se han registrado valijas para esta semana...</h4> 
                          </p>
                        </div>
                        <div class="col-md-12" ng-if="valijas.length > 0">
                          <small>
                            <div class="table-responsive">
                              <table class="table table-bordered">
                                  <thead>
                                      <tr>
                                          <th><small>#</small></th>
                                          <th class="text-center"><small>ESTADO</small></th>
                                          <th><small>NOMBRE ARCHIVO</small></th>
                                          <th><small>CLIENTE</small></th>
                                          <th><small>FECHA SUBIDA</small></th>
                                          <th><small>HORA SUBIDA</small></th>
                                          <th class="text-center" colspan="3"><small>CONTENEDORES</small></th>
                                          <th><small>AGREGAR CONTENEDORES</small></th>
                                          <th class="text-center"><small>OPCIONES</small></th>
                                      </tr>
                                  </thead>
                                  <tbody dir-paginate="valija in valijas |filter: buscar | itemsPerPage: 4" pagination-id="valija.id">
                                      <tr>
                                          <td rowspan="{{valija.contenedores.length+1}}"><small>{{$index + 1 }}</small></td>
                                          <td rowspan="{{valija.contenedores.length+1}}"><small>
                                            {{valija.estado_archivo | uppercase}}
                                          </small></td>
                                          <td rowspan="{{valija.contenedores.length+1}}"><small>{{valija.nombre}}</small></td>
                                          <td rowspan="{{valija.contenedores.length+1}}"><small>{{valija.cliente | uppercase}}</small></td>
                                          <td class="text-center" rowspan="{{valija.contenedores.length+1}}"><small>{{valija.fecha}}</small></td>
                                          <td class="text-center" rowspan="{{valija.contenedores.length+1}}"><small>{{valija.hora}}</small></td>
                                          <td style="background:#F2F2F2"><small>NUMERO</small></td>
                                          <td style="background:#F2F2F2"><small>REFERENCIA</small></td>
                                          <td style="vertical-align:middle; white-space: nowrap; background:#F2F2F2"><small>BORRAR CONTENEDOR</small></td>
                                          <td rowspan="{{valija.contenedores.length+1}}" class="text-center">
                                          <button class="btn btn-xs btn-success btn-border btn-rounded-10" ng-click="tipo=3; openModalSelect($event,valija,2)">
                                            <i class="fa fa-plus"></i> agregar
                                          </button>
                                        </td>
                                        <td class="text-center" rowspan="{{valija.contenedores.length+1}}">
                                          <div class="input-group-btn">
                                            <button class="btn btn-default btn-border btn-radius-left" title="DESCARGAR VALIJA {{valija.nombre}}" ng-click="load(valija,5);download()"><strong class="text-info"><i class="icon-cloud-download"></i></strong></button>
                                            <button class="btn btn-default btn-border"  ng-class="{'btn-radius-right' : !permisosHas('valijas.eliminar')}" title="VER  VALIJA {{valija.nombre}}" data-options="splash-2 splash-ef-14" ng-click="load(valija,5);preview($event);"><i class="icon-eye text-valijaue"></i></button>
                                            <button ng-if="permisosHas('valijas.eliminar')" class="btn btn-default btn-border btn-radius-right" title="ELIMINAR VALIJA {{valija.nombre}}" data-options="splash-2 splash-ef-14" ng-click="load(valija,5);openModalDelete($event)"><i class="icon-trash text-danger"></i></button>
                                          </div>
                                        </td>
                                      </tr>
                                      <tr ng-repeat="contenedor in valija.contenedores">
                                        <td class="text-center">{{contenedor.numero | uppercase}}</td>
                                        <td class="text-center">{{contenedor.referencia}}</td>
                                        <td class="text-center">
                                          <button ng-click="load(valija,5);deleteContenedor(contenedor)" class="btn btn-xs btn-danger btn-border btn-rounded-10">
                                            <i class="fa fa-trash"></i> eliminar
                                          </button>
                                        </td>                                   
                                      </tr>
                                  </tbody>
                              </table>
                            </div>
                            <div class="pull-right">
                              <dir-pagination-controls pagination-id="valija.id"></dir-pagination-controls>
                            </div>
                          </small>
                        </div>
                      </div>
                    </div>
                    <!-- 6 Otros Archivos -->
                    <div class="col-md-12">
                      <div class="row">
                        <div class="col-md-8">
                          <h3 style="margin-top: 5px;"><i class="icon-grid"></i> Otros Archivos</h3>
                        </div>
                        <div class="col-md-4">
                          
                        </div>
                        <div class="col-md-12">
                          <hr style="margin-top: 0px;margin-bottom: 5px;">
                        </div>
                      </div>
                      <div class="row mt-20 mb-20" ng-if="isLoadingOtros">
                        <div class="col-md-12">
                          <loading></loading>
                        </div>
                      </div>
                      <div class="row mt-20 mb-20" ng-if="!isLoadingOtros">
                        <div class="col-md-12" ng-if="otros_archivos.length == 0">
                          <p class="text-center">
                            <i class="fa fa-inbox fa-4x"></i>
                            <h4 class="text-center">aún no se han registrado otro tipo de archivos para esta semana...</h4> 
                          </p>
                        </div>
                        <div class="col-md-12" ng-if="otros_archivos.length > 0">
                          <small>
                            <div class="table-responsive">
                              <table class="table table-hover table-bordered">
                                <thead>
                                    <tr>
                                        <th class="text-center"><small>#</small></th>
                                        <th><small>NOMBRE ARCHIVO</small></th>
                                        <th class="text-center"><small>EXTENSIÓN</small></th>
                                        <th class="text-center"><small>FECHA SUBIDA</small></th>
                                        <th class="text-center"><small>HORA SUBIDA</small></th>
                                        <th class="text-center"><small>OPCIONES</small></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr dir-paginate="otro_archivo in otros_archivos |filter: buscar | itemsPerPage: 5" pagination-id="otro_archivo.id">
                                        <td class="text-center"><small>{{$index + 1 }}</small></td>
                                        <td><small>{{otro_archivo.nombre}}</small></td>
                                        <td class="text-center"><small><span ng-if="otro_archivo.tipo === 1">WORD</span><span ng-if="otro_archivo.tipo === 2">EXCEL</span><span ng-if="otro_archivo.tipo === 3">PDF</span></small></td>
                                        <td class="text-center"><small>{{otro_archivo.fecha}}</small></td>
                                        <td class="text-center"><small>{{otro_archivo.hora}}</small></td>
                                        <td class="text-center">
                                            <div class="input-group-btn">
                                              <button class="btn btn-default btn-border btn-radius-left" title="DESCARGAR ARCHIVO {{otro_archivo.nombre}}" ng-click="load(otro_archivo,6);download()"><strong class="text-info"><i class="icon-cloud-download"></i></strong></button>
                                              <button class="btn btn-default btn-border btn-radius-right" title="VER  ARCHIVO {{otro_archivo.nombre}}" data-options="splash-2 splash-ef-14" ng-click="load(otro_archivo,6);preview($event);"><i class="icon-eye text-blue"></i></button>
                                            </div>
                                        </td>
                                    </tr>
                                </tbody>
                              </table>
                            </div>
                            <div class="text-center">
                              <small><dir-pagination-controls pagination-id="otro_archivo.id"></dir-pagination-controls></small>
                            </div>
                          </small>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="col-md-12" ng-if="!isUpload">
                  <div class="row">
                    <div class="col-md-12">
                      <legend class="text-center">SUBIR {{obj.ruta | uppercase}}</legend>
                    </div>
                    <div class="col-md-12">
                      <div class="row">
                        <div class="col-md-12">
                          <span class="label label-info">Nota: </span><span>No se cargarán archivos mayores de 3MB. </span>
                        </div>
                      </div>
                      <div class="row mt-10">
                        <div class="col-md-4">
                          <br>
                          <button class="btn btn-primary btn-block" ng-if="obj.ruta != 'packing' && obj.ruta != 'otros_archivos'" ngf-select="select($files)" multiple accept="application/pdf" ngf-max-height="1000" ngf-max-size="3MB">
                            <i class="fa fa-upload"></i> Seleccione Archivos
                          </button>
                          <button ng-if="obj.ruta === 'packing'" class="btn btn-primary btn-block" ngf-select="select($files)" multiple accept=".csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel" ngf-max-height="1000" ngf-max-size="3MB">
                            <i class="fa fa-upload"></i> Seleccione Archivos
                          </button>
                          <button ng-if="obj.ruta === 'otros_archivos'" class="btn btn-primary btn-block" ngf-select="select($files)" multiple accept=".csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel,application/pdf,application/msword, application/vnd.openxmlformats-officedocument.wordprocessingml.document" ngf-max-height="1000" ngf-max-size="3MB">
                            <i class="fa fa-upload"></i> Seleccione Archivos
                          </button>
                        </div>
                        <div class="col-md-4" ng-if="viewElementForm.clientes">
                          <label for="">Cliente<span class="obligatorio">*</span></label>
                          <select class="form-control" data-options="splash-2 splash-ef-14" ng-model="data.id_cliente" ng-disabled="!files.length" ng-change="changeCliente($event, data.id_cliente)" ng-options="cliente.id as cliente.razon_social for cliente in clientes">
                            <option value="">-- SELECCIONE CLIENTE --</option>
                          </select>
                        </div>  
                      </div>
                      <div class="row" ng-if="files.length">
                        <div class="col-md-12 mt-10">
                          <div class="table-responsive">
                            <table class="table table-hover">
                                <thead>
                                    <tr>
                                        <th>NOMBRE</th>
                                        <th>TAMAÑO</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr ng-repeat="file in files">
                                        <td>{{file.name}}</td>
                                        <td>{{(file.size/1024)/1024 | number:2}} MB</td>
                                        <td>
                                            <button type="button" class="btn btn-danger btn-xs btn-border" ng-click="deleteItemFiles($index)"><i class="fa fa-close"></i></button>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                          </div>
                          <uib-progressbar ng-if="isSave" class="progress-sm progress-striped active not-rounded" value="progress" type="dutch"><b>{{progress}}%</b></uib-progressbar>
                        </div>
                      </div>
                    </div>
                    <div class="col-md-12 mt-10">
                      <div class="text-center">
                        <button type="button" class="btn btn-default btn-border btn-rounded-10" ng-click="cancelar()"> <i class="fa fa-close"></i> cancelar</button>
                        <button ng-if="!isSave" ng-disabled="!id_cliente && !(files.length)" type="submit" class="btn btn-default btn-border btn-rounded-10" ng-click="save()"><i class="fa fa-upload"></i> subir archivos</button>
                        <button ng-if="isSave" type="button" class="btn btn-default btn-border btn-rounded-10">
                        <i class="fa fa-spin fa-spinner"></i> subiendo archivos...</button>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="tile-footer p-1">
              <div class="text-right">
                <span class="text-light" style="font-size: 10px;color: black;font-weight: bold;">&copy; COOPERATIVA AGRARIA APPBOSA / BARRIO NUEVA ESPERANZA S-N / SAMAN - PERÚ </span>
              </div>
            </div>
          </section>
        </div>
      </div>
    </div>
  </div>
  <script  type="text/ng-template" id="archivo_preview_modal.html">
    <div class="modal-header">
      <div class="text-center">
        <h3 class="modal-title font-ligth">Visor de Archivos</h3>
      </div>            
    </div>
    <div class="modal-body">
      <div class="text-center">
        <div class="row">
          <div class="col-md-12">
            <embed src="{{ruta}}" width="100%" toolbar=0 height="500px">
            </embed>
          </div>
        </div>
        <button type="button" class="btn btn-default btn-border btn-rounded-10" ng-click="cancel()"><i class="fa fa-close"></i> cerrar</button>
      </div>
    </div>
  </script>
  <script  type="text/ng-template" id="select_contenedor_modal.html">
    <div class="modal-header">
      <div class="text-center">
        <h3 class="modal-title font-ligth">Lista de Contenedores</h3>
      </div>            
    </div>
    <div class="modal-body">
      <div class="text-center">
        <div class="row">
          <div class="col-md-12" ng-if="isLoading">
            <loading></loading>
          </div>
          <div class="col-md-12" ng-if="!isLoading">
            <div class="row">
              <div class="col-md-12" ng-if="contenedores.length > 0">
                <div class="table-responsive">
                  <table class="table table-hover">
                    <thead>
                      <tr>
                        <th>NÚMERO</th>
                        <th>REFERENCIA</th>
                        <th>SELECCIONE</th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr dir-paginate="contenedor in contenedores | itemsPerPage: 8" pagination-id="contenedor.id">
                        <td>{{contenedor.numero_contenedortenedor}}</td>
                        <td>{{contenedor.referencia}}</td>
                        <td class="text-center">
                          <label class="switch">
                              <input type="checkbox" ng-model="contenedor.enable">
                              <span></span>
                          </label> 
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>
                <div class="text-center">
                  <small><dir-pagination-controls pagination-id="contenedor.id"></dir-pagination-controls></small>
                </div>
              </div>
              <div class="col-md-12" ng-if="contenedores.length == 0">
                <p class="text-center">
                  <i class="fa fa-inbox fa-4x"></i>
                  <h4 class="text-center">no hay contenedores para {{obj.ruta}}...</h4> 
                </p>
              </div>
            </div>
          </div>
        </div>
        <button type="button" class="btn btn-blue btn-border btn-rounded-10" ng-click="saveContenedor()"><i class="fa fa-check"></i> Aceptar</button>
      </div>
    </div>
  </script>
  <script  type="text/ng-template" id="archivo_delete_modal.html">
    <div class="modal-body">

      <form ng-submit="delete()">
        <form-delete></form-delete>
      </form>
    </div>
  </script>
</div>